import Vue from 'vue'
import { initRouter } from '@vue2-client/router/index.js'
import { initI18n } from '@vue2-client/utils/i18n'
import bootstrap from '@vue2-client/bootstrap'
import { modules } from '@vue2-client/store'
import '@vue2-client/theme/index.less'
import '@vue2-client/utils/filter'
import 'animate.css/source/animate.css'
import 'moment/locale/zh-cn'
import Antd from 'ant-design-vue'
import Viser from 'viser-vue'
// 插件
import Plugins from '@vue2-client/base-client/plugins'

const routerOptions = initRouter()
const i18n = initI18n('CN', 'US')

Vue.use(Antd)
Vue.use(Viser)
Vue.use(Plugins)

Vue.config.productionTip = false
const message = Vue.prototype.$message

export {
  routerOptions,
  modules,
  i18n,
  message,
  bootstrap
}
